<?php

    $templateHTML = 'The settings does not exist! Make sure that the module is installed correctly.';

    if(!$magiczoomplusConfigurationExists) {
        return;
    }

    $action = isset($_POST['magiczoomplus-submit-action']) ? $_POST['magiczoomplus-submit-action'] : false;
    $activeTab = isset($_POST['magiczoomplus-active-tab']) ? $_POST['magiczoomplus-active-tab'] : false;


    if($_SERVER['REQUEST_METHOD'] == 'POST') {
        switch($action) {
            case 'save':
                if(isset($_POST['magictoolbox']) && is_array($_POST['magictoolbox'])) {
                    tep_db_query("UPDATE `magiczoomplus_configuration` SET `enabled` = 0 WHERE `block` != 'default'");
                    foreach($_POST['magictoolbox'] as $block => $params) {
                        if(!is_array($params)) continue;
                        foreach($params as $id => $value) {
                            $value = tep_db_prepare_input($value);
                            tep_db_query("UPDATE `magiczoomplus_configuration` SET `value` = '{$value}', `enabled` = 1 WHERE `block` = '{$block}' AND `name` = '{$id}'");
                        }
                    }
                }
                $messageStack->add('Settings was saved.', 'success');
                break;
            case 'reset':
                tep_db_query("UPDATE `magiczoomplus_configuration` SET `value` = `default_value`, `enabled`=`default_enabled` WHERE `block`='{$activeTab}'");
                $messageStack->add('Settings was reset to defaults.', 'success');
                break;
            default :
        }
    }

    require_once(MT_FS_ROOT.'includes'.MT_DS.'modules'.MT_DS.'magiczoomplus'.MT_DS.'magiczoomplus.module.core.class.php');
    $tool = new MagicZoomPlusModuleCoreClass;
    $result = tep_db_query('SELECT * FROM `magiczoomplus_configuration` WHERE `enabled` = 1');
    while($fields = tep_db_fetch_array($result)) {
        $tool->params->setValue($fields['name'], $fields['value'], $fields['block']);
    }

    $blocks = array(
		'default' => 'General',
		'product' => 'Product page',
		'category' => 'Category page',
		'products_new' => 'New products page',
		'special_products' => 'Specials page',
		'review_products' => 'Reviews page',
		'new_products' => 'New products block',
		'whats_new' => 'New products box (sidebar)',
		'specials' => 'Specials box (sidebar)',
		'reviews' => 'Reviews box (sidebar)',
	);
    $map = array(
		'default' => array(
			'Positioning and Geometry' => array(
				'thumb-max-width' => true,
				'thumb-max-height' => true,
				'zoomWidth' => true,
				'zoomHeight' => true,
				'zoomPosition' => true,
				'zoomDistance' => true,
				'extra-thumb-max-width' => true,
				'extra-thumb-max-height' => true,
				'thumb-margin' => true,
				'thumb-margin-top' => true,
				'square-images' => true,
			),
			'Miscellaneous' => array(
				'lazyZoom' => true,
				'rightClick' => true,
				'cssClass' => true,
				'link-to-product-page' => true,
				'show-message' => true,
				'message' => true,
				'imagemagick' => true,
				'image-quality' => true,
			),
			'Zoom mode' => array(
				'zoomMode' => true,
				'zoomOn' => true,
				'upscale' => true,
				'smoothing' => true,
				'variableZoom' => true,
				'zoomCaption' => true,
			),
			'Expand mode' => array(
				'expand' => true,
				'expandZoomMode' => true,
				'expandZoomOn' => true,
				'expandCaption' => true,
				'closeOnClickOutside' => true,
			),
			'Watermark' => array(
				'watermark' => true,
				'watermark-max-width' => true,
				'watermark-max-height' => true,
				'watermark-opacity' => true,
				'watermark-position' => true,
				'watermark-offset-x' => true,
				'watermark-offset-y' => true,
			),
			'Hint' => array(
				'hint' => true,
				'textHoverZoomHint' => true,
				'textClickZoomHint' => true,
				'textExpandHint' => true,
				'textBtnClose' => true,
				'textBtnNext' => true,
				'textBtnPrev' => true,
			),
			'Mobile' => array(
				'zoomModeForMobile' => true,
				'textHoverZoomHintForMobile' => true,
				'textClickZoomHintForMobile' => true,
				'textExpandHintForMobile' => true,
			),
		),
		'product' => array(
			'General' => array(
				'enable-effect' => true,
			),
			'Positioning and Geometry' => array(
				'thumb-max-width' => false,
				'thumb-max-height' => false,
				'zoomWidth' => false,
				'zoomHeight' => false,
				'paps-image-max-width' => false,
				'paps-image-max-height' => false,
				'zoomPosition' => false,
				'paps-thumb-max-width' => false,
				'paps-thumb-max-height' => false,
				'zoomDistance' => false,
				'extra-thumb-max-width' => false,
				'extra-thumb-max-height' => false,
				'thumb-margin' => false,
				'thumb-margin-top' => false,
			),
			'Multiple images' => array(
				'selectorTrigger' => true,
				'transitionEffect' => true,
			),
			'Miscellaneous' => array(
				'lazyZoom' => false,
				'rightClick' => false,
				'cssClass' => false,
				'show-message' => false,
				'message' => false,
			),
			'Zoom mode' => array(
				'zoomMode' => false,
				'zoomOn' => false,
				'upscale' => false,
				'smoothing' => false,
				'variableZoom' => false,
				'zoomCaption' => false,
			),
			'Expand mode' => array(
				'expand' => false,
				'expandZoomMode' => false,
				'expandZoomOn' => false,
				'expandCaption' => false,
				'closeOnClickOutside' => false,
			),
			'Hint' => array(
				'hint' => false,
				'textHoverZoomHint' => false,
				'textClickZoomHint' => false,
				'textExpandHint' => false,
				'textBtnClose' => false,
				'textBtnNext' => false,
				'textBtnPrev' => false,
			),
			'Mobile' => array(
				'zoomModeForMobile' => false,
				'textHoverZoomHintForMobile' => false,
				'textClickZoomHintForMobile' => false,
				'textExpandHintForMobile' => false,
			),
		),
		'category' => array(
			'General' => array(
				'enable-effect' => true,
			),
			'Positioning and Geometry' => array(
				'thumb-max-width' => false,
				'thumb-max-height' => false,
				'zoomWidth' => false,
				'zoomHeight' => false,
				'zoomPosition' => false,
				'zoomDistance' => false,
				'extra-thumb-max-width' => false,
				'extra-thumb-max-height' => false,
				'thumb-margin' => false,
				'thumb-margin-top' => false,
			),
			'Miscellaneous' => array(
				'lazyZoom' => false,
				'rightClick' => false,
				'cssClass' => false,
				'link-to-product-page' => false,
				'show-message' => false,
				'message' => false,
			),
			'Zoom mode' => array(
				'zoomMode' => false,
				'zoomOn' => false,
				'upscale' => false,
				'smoothing' => false,
				'variableZoom' => false,
				'zoomCaption' => false,
			),
			'Expand mode' => array(
				'expand' => false,
				'expandZoomMode' => false,
				'expandZoomOn' => false,
				'expandCaption' => false,
				'closeOnClickOutside' => false,
			),
			'Hint' => array(
				'hint' => false,
				'textHoverZoomHint' => false,
				'textClickZoomHint' => false,
				'textExpandHint' => false,
				'textBtnClose' => false,
				'textBtnNext' => false,
				'textBtnPrev' => false,
			),
			'Mobile' => array(
				'zoomModeForMobile' => false,
				'textHoverZoomHintForMobile' => false,
				'textClickZoomHintForMobile' => false,
				'textExpandHintForMobile' => false,
			),
		),
		'products_new' => array(
			'General' => array(
				'enable-effect' => true,
			),
			'Positioning and Geometry' => array(
				'thumb-max-width' => false,
				'thumb-max-height' => false,
				'zoomWidth' => false,
				'zoomHeight' => false,
				'zoomPosition' => false,
				'zoomDistance' => false,
				'extra-thumb-max-width' => false,
				'extra-thumb-max-height' => false,
				'thumb-margin' => false,
				'thumb-margin-top' => false,
			),
			'Miscellaneous' => array(
				'lazyZoom' => false,
				'rightClick' => false,
				'cssClass' => false,
				'link-to-product-page' => false,
				'show-message' => false,
				'message' => false,
			),
			'Zoom mode' => array(
				'zoomMode' => false,
				'zoomOn' => false,
				'upscale' => false,
				'smoothing' => false,
				'variableZoom' => false,
				'zoomCaption' => false,
			),
			'Expand mode' => array(
				'expand' => false,
				'expandZoomMode' => false,
				'expandZoomOn' => false,
				'expandCaption' => false,
				'closeOnClickOutside' => false,
			),
			'Hint' => array(
				'hint' => false,
				'textHoverZoomHint' => false,
				'textClickZoomHint' => false,
				'textExpandHint' => false,
				'textBtnClose' => false,
				'textBtnNext' => false,
				'textBtnPrev' => false,
			),
			'Mobile' => array(
				'zoomModeForMobile' => false,
				'textHoverZoomHintForMobile' => false,
				'textClickZoomHintForMobile' => false,
				'textExpandHintForMobile' => false,
			),
		),
		'special_products' => array(
			'General' => array(
				'enable-effect' => true,
			),
			'Positioning and Geometry' => array(
				'thumb-max-width' => false,
				'thumb-max-height' => false,
				'zoomWidth' => false,
				'zoomHeight' => false,
				'zoomPosition' => false,
				'zoomDistance' => false,
				'extra-thumb-max-width' => false,
				'extra-thumb-max-height' => false,
				'thumb-margin' => false,
				'thumb-margin-top' => false,
			),
			'Miscellaneous' => array(
				'lazyZoom' => false,
				'rightClick' => false,
				'cssClass' => false,
				'link-to-product-page' => false,
				'show-message' => false,
				'message' => false,
			),
			'Zoom mode' => array(
				'zoomMode' => false,
				'zoomOn' => false,
				'upscale' => false,
				'smoothing' => false,
				'variableZoom' => false,
				'zoomCaption' => false,
			),
			'Expand mode' => array(
				'expand' => false,
				'expandZoomMode' => false,
				'expandZoomOn' => false,
				'expandCaption' => false,
				'closeOnClickOutside' => false,
			),
			'Hint' => array(
				'hint' => false,
				'textHoverZoomHint' => false,
				'textClickZoomHint' => false,
				'textExpandHint' => false,
				'textBtnClose' => false,
				'textBtnNext' => false,
				'textBtnPrev' => false,
			),
			'Mobile' => array(
				'zoomModeForMobile' => false,
				'textHoverZoomHintForMobile' => false,
				'textClickZoomHintForMobile' => false,
				'textExpandHintForMobile' => false,
			),
		),
		'review_products' => array(
			'General' => array(
				'enable-effect' => true,
			),
			'Positioning and Geometry' => array(
				'thumb-max-width' => false,
				'thumb-max-height' => false,
				'zoomWidth' => false,
				'zoomHeight' => false,
				'zoomPosition' => false,
				'zoomDistance' => false,
				'extra-thumb-max-width' => false,
				'extra-thumb-max-height' => false,
				'thumb-margin' => false,
				'thumb-margin-top' => false,
			),
			'Miscellaneous' => array(
				'lazyZoom' => false,
				'rightClick' => false,
				'cssClass' => false,
				'link-to-product-page' => false,
				'show-message' => false,
				'message' => false,
			),
			'Zoom mode' => array(
				'zoomMode' => false,
				'zoomOn' => false,
				'upscale' => false,
				'smoothing' => false,
				'variableZoom' => false,
				'zoomCaption' => false,
			),
			'Expand mode' => array(
				'expand' => false,
				'expandZoomMode' => false,
				'expandZoomOn' => false,
				'expandCaption' => false,
				'closeOnClickOutside' => false,
			),
			'Hint' => array(
				'hint' => false,
				'textHoverZoomHint' => false,
				'textClickZoomHint' => false,
				'textExpandHint' => false,
				'textBtnClose' => false,
				'textBtnNext' => false,
				'textBtnPrev' => false,
			),
			'Mobile' => array(
				'zoomModeForMobile' => false,
				'textHoverZoomHintForMobile' => false,
				'textClickZoomHintForMobile' => false,
				'textExpandHintForMobile' => false,
			),
		),
		'new_products' => array(
			'General' => array(
				'enable-effect' => true,
			),
			'Positioning and Geometry' => array(
				'thumb-max-width' => false,
				'thumb-max-height' => false,
				'zoomWidth' => false,
				'zoomHeight' => false,
				'zoomPosition' => false,
				'zoomDistance' => false,
				'extra-thumb-max-width' => false,
				'extra-thumb-max-height' => false,
				'thumb-margin' => false,
				'thumb-margin-top' => false,
			),
			'Miscellaneous' => array(
				'lazyZoom' => false,
				'rightClick' => false,
				'cssClass' => false,
				'link-to-product-page' => false,
				'show-message' => false,
				'message' => false,
			),
			'Zoom mode' => array(
				'zoomMode' => false,
				'zoomOn' => false,
				'upscale' => false,
				'smoothing' => false,
				'variableZoom' => false,
				'zoomCaption' => false,
			),
			'Expand mode' => array(
				'expand' => false,
				'expandZoomMode' => false,
				'expandZoomOn' => false,
				'expandCaption' => false,
				'closeOnClickOutside' => false,
			),
			'Hint' => array(
				'hint' => false,
				'textHoverZoomHint' => false,
				'textClickZoomHint' => false,
				'textExpandHint' => false,
				'textBtnClose' => false,
				'textBtnNext' => false,
				'textBtnPrev' => false,
			),
			'Mobile' => array(
				'zoomModeForMobile' => false,
				'textHoverZoomHintForMobile' => false,
				'textClickZoomHintForMobile' => false,
				'textExpandHintForMobile' => false,
			),
		),
		'whats_new' => array(
			'General' => array(
				'enable-effect' => true,
			),
			'Positioning and Geometry' => array(
				'thumb-max-width' => false,
				'thumb-max-height' => false,
				'zoomWidth' => false,
				'zoomHeight' => false,
				'zoomPosition' => false,
				'zoomDistance' => false,
				'extra-thumb-max-width' => false,
				'extra-thumb-max-height' => false,
				'thumb-margin' => false,
				'thumb-margin-top' => false,
			),
			'Miscellaneous' => array(
				'lazyZoom' => false,
				'rightClick' => false,
				'cssClass' => false,
				'link-to-product-page' => false,
				'show-message' => false,
				'message' => false,
			),
			'Zoom mode' => array(
				'zoomMode' => false,
				'zoomOn' => false,
				'upscale' => false,
				'smoothing' => false,
				'variableZoom' => false,
				'zoomCaption' => false,
			),
			'Expand mode' => array(
				'expand' => false,
				'expandZoomMode' => false,
				'expandZoomOn' => false,
				'expandCaption' => false,
				'closeOnClickOutside' => false,
			),
			'Hint' => array(
				'hint' => false,
				'textHoverZoomHint' => false,
				'textClickZoomHint' => false,
				'textExpandHint' => false,
				'textBtnClose' => false,
				'textBtnNext' => false,
				'textBtnPrev' => false,
			),
			'Mobile' => array(
				'zoomModeForMobile' => false,
				'textHoverZoomHintForMobile' => false,
				'textClickZoomHintForMobile' => false,
				'textExpandHintForMobile' => false,
			),
		),
		'specials' => array(
			'General' => array(
				'enable-effect' => true,
			),
			'Positioning and Geometry' => array(
				'thumb-max-width' => false,
				'thumb-max-height' => false,
				'zoomWidth' => false,
				'zoomHeight' => false,
				'zoomPosition' => false,
				'zoomDistance' => false,
				'extra-thumb-max-width' => false,
				'extra-thumb-max-height' => false,
				'thumb-margin' => false,
				'thumb-margin-top' => false,
			),
			'Miscellaneous' => array(
				'lazyZoom' => false,
				'rightClick' => false,
				'cssClass' => false,
				'link-to-product-page' => false,
				'show-message' => false,
				'message' => false,
			),
			'Zoom mode' => array(
				'zoomMode' => false,
				'zoomOn' => false,
				'upscale' => false,
				'smoothing' => false,
				'variableZoom' => false,
				'zoomCaption' => false,
			),
			'Expand mode' => array(
				'expand' => false,
				'expandZoomMode' => false,
				'expandZoomOn' => false,
				'expandCaption' => false,
				'closeOnClickOutside' => false,
			),
			'Hint' => array(
				'hint' => false,
				'textHoverZoomHint' => false,
				'textClickZoomHint' => false,
				'textExpandHint' => false,
				'textBtnClose' => false,
				'textBtnNext' => false,
				'textBtnPrev' => false,
			),
			'Mobile' => array(
				'zoomModeForMobile' => false,
				'textHoverZoomHintForMobile' => false,
				'textClickZoomHintForMobile' => false,
				'textExpandHintForMobile' => false,
			),
		),
		'reviews' => array(
			'General' => array(
				'enable-effect' => true,
			),
			'Positioning and Geometry' => array(
				'thumb-max-width' => false,
				'thumb-max-height' => false,
				'zoomWidth' => false,
				'zoomHeight' => false,
				'zoomPosition' => false,
				'zoomDistance' => false,
				'extra-thumb-max-width' => false,
				'extra-thumb-max-height' => false,
				'thumb-margin' => false,
				'thumb-margin-top' => false,
			),
			'Miscellaneous' => array(
				'lazyZoom' => false,
				'rightClick' => false,
				'cssClass' => false,
				'link-to-product-page' => false,
				'show-message' => false,
				'message' => false,
			),
			'Zoom mode' => array(
				'zoomMode' => false,
				'zoomOn' => false,
				'upscale' => false,
				'smoothing' => false,
				'variableZoom' => false,
				'zoomCaption' => false,
			),
			'Expand mode' => array(
				'expand' => false,
				'expandZoomMode' => false,
				'expandZoomOn' => false,
				'expandCaption' => false,
				'closeOnClickOutside' => false,
			),
			'Hint' => array(
				'hint' => false,
				'textHoverZoomHint' => false,
				'textClickZoomHint' => false,
				'textExpandHint' => false,
				'textBtnClose' => false,
				'textBtnNext' => false,
				'textBtnPrev' => false,
			),
			'Mobile' => array(
				'zoomModeForMobile' => false,
				'textHoverZoomHintForMobile' => false,
				'textClickZoomHintForMobile' => false,
				'textExpandHintForMobile' => false,
			),
		),
	);

    require(DIR_WS_INCLUDES.'modules/magiczoomplus/magictoolbox.settings.editor.class.php');
    $settings = new MagictoolboxSettingsEditorClass(MT_FS_ROOT.'includes'.MT_DS.'modules'.MT_DS.'magiczoomplus'.MT_DS.'core');
    $settings->paramsMap = &$map;
    $settings->core = &$tool;
    $settings->profiles = &$blocks;
    $settings->pathToJS = MT_FS_ROOT.'includes'.MT_DS.'modules'.MT_DS.'magiczoomplus'.MT_DS.'core';
    $settings->action = tep_href_link('magiczoomplus.php', '', 'NONSSL');//htmlentities($_SERVER['REQUEST_URI'])
    $settings->setResourcesURL(DIR_WS_INCLUDES.'modules/magiczoomplus/resources/');
    $settings->jQueryNoConflictLevel(1);
    $settings->isMagicScrollBundled = false;
    //$settings->addJSFile(DIR_WS_INCLUDES.'modules/magiczoomplus/resources/options.js');
    $templateHTML = $settings->getHTML();
